About XKeys

XKeys is a keyboard editor that simplifies the job of mapping keyboard files. It is specifically designed to communicate with X protocol hosts.

Exceed onDemand supplies a number of customizable keyboard files. These .kbf files are located on Exceed onDemand Server in both global and user X configuration folders. To edit one, click Open on the File menu and navigate to the keyboard file. This loads the file into XKeys.

Note:
Make a backup of the original keyboard file before you customize it. After you load the file into XKeys, choose Save As from the File menu and specify another file name. This ensures that the original file is intact if you need to revert to it.

Before you can modify the file in XKeys, you must determine what you want to modify. The View menu lets you toggle between the following settings:

Mapping Mode—Lets you customize a keyboard file and associate X Keysyms to keys. You can also create Compose Sequences and build macros.

Layout—Lets you customize a keyboard file by adding or repositioning physical keys. You can create a new layout from scratch, or you can modify an existing one.

After you have selected the appropriate display, you can begin to modify the keyboard file.

Related Topics

Modifying a Keyboard File


Modifying a Keyboard File

In most cases, you can customize your keyboard by modifying an existing file. Although you can create a totally new keyboard file, it is recommended that you modify an existing keyboard file whenever possible.

Note:
Make a backup of the original keyboard file before you customize it. After you load the file into XKeys, choose Save As from the File menu and specify another filename. This ensures that the original file is intact if you need to revert to it.

Customization Scenarios Expand

The following list provides ways to modify a keyboard file:

  • You need to make a key on your keyboard to generate a particular X Keysym. To generate an X Keysym, map the Keysym to a key on your keyboard. See topic “Mapping a New Keysym to an Existing PC Key”.
  • You want a single key on your PC to send multiple Keysyms to the remote host. To forward multiple Keysyms, create a macro and map it to a key. See topic “Mapping a Macro to an Existing PC Key”.
  • You need to generate a special Keysym that consists of an unknown accented character. To generate a special Keysym, you need to define a compose-key sequence to forward that special Keysym to the remote host. See topic “Creating Compose-Key Sequences”.
  • You want to create a keyboard file for mathematical symbols or for other Keysyms that are not available. The Keysym File Editor is a powerful tool for managing Keysyms and Keysym Sets. This editor will guide you as you add custom Keysyms and create new Keysym Sets. See topic “Managing Keysyms and Keysym Sets”.
  • You want to make use of extra keys on your non-standard physical keyboard to send Keysyms to a remote host. To add a physical key to a keyboard file, you must change the layout of the keys. See topic “Adding a Physical Key”.

Related Topics

About XKeys


Mapping a New Keysym to an Existing PC Key

You can change the mapping key on your keyboard to generate a different Keysym. You can change the mapping of a PC key in the Key: Name (Scancode) dialog box. Click Mapping on the XKeys Edit menu (in Mapping mode only) to display this box.

Note:
You cannot map a Keysym to a non-standard key unless you have included it by changing the layout of the keyboard file.

For example, you can change the current Keysym mapping of the Backspace key to any of the following using the Key: Name (Scancode) dialog box:

  • the delete Keysym
  • a special character (such as æ or þ) defined in a compose-key sequence
    Note:
            You can map a compose-key sequence in the X Compose Mapping dialog box. This dialog box follows the Build Compose Sequence dialog box when you click Next. The X Compose Mapping dialog box has the same functionality as the Key: Name (Scancode) dialog box.

To map a new Keysym:

  1. Select the PC key that you want to map by clicking the key in the XKeys window (Mapping mode) or pressing the corresponding key on your keyboard. You can view the current mappings in the Current X Mapping for Key Labelled: group box.
  2. Select Mapping on the Edit menu. The Key: Name (Scancode) dialog box opens. You can view the current mappings for the key you specified in the Mapping for Key Labelled: Keysym group box.
  3. Click any of the following states: Unshifted, Shifted, Mode Switch, or Shift Mode Switch. To delete the current mapping for this state, click Clear Mapping.
  4. Select a Keysym Set from the Symbol Set drop-down list box. Each Keysym Set contains a different list of Keysyms in the Keysyms list box.
    Note:
            If you do not know which Keysym Set a Keysym belongs to, you can search for it by entering the Keysym in the Search box and clicking Find. XKeys selects the appropriate Keysym Set in the Symbol Set drop-down list box, then highlights the closest match in the Keysym list box. If the first Keysym matched is not correct, click Find until you find the symbol.
  5. Select the Keysym that you want to map to this key in the Keysyms list box, then click Select Keysym. The mapping is changed for the state you selected in step 3.
    Note:
            You can also drag and drop a key from the Keysyms list to the corresponding state boxes.
  6. Select a modifier state in the X Key States group box. You can assign any combination of modifiers. If you would like the key to auto-repeat when held down, enable the Repeat check box.
    Note:
            Select only one Mod key.
  7. If you want to map different Keysyms to any of the remaining states, repeat steps 3 to 5.
  8. Click OK. The Current X Mapping panel in the XKeys window now displays the new mappings.
    Note:
            To change the keycap text on a key, select Layout Mode from the View menu. Once in Layout mode, press the key on your physical keyboard to select it and type the keycap text in the abbreviation box.

Related Topics

Key: Name (Scancode) and X Compose Mapping Dialog Boxes

Deleting a Keysym Mapped to a Key

Modifying a Keyboard File


Deleting a Keysym Mapped to a Key

To delete a Keysym mapped to a key:

  1. Select the PC key that you want to map by clicking the key in the XKeys window (Mapping mode) or pressing the corresponding key on your keyboard. You can view the current mappings in the Mapping for Key Labeled: group box.
  2. Click Mapping on the Edit menu. The Key: Name (Scancode) dialog box opens. You can view the current mappings for the key you specified in the Mapping for Key Labelled: Keysym group box.
  3. Click any of the following states: Unshifted, Shifted, Mode Switch, Shift Mode Switch.
  4. Click Clear Mapping to delete the mapping for the corresponding state.
  5. If you want to delete the mapping for another state, repeat steps 3 and 4.

Related Topics

Key: Name (Scancode) and X Compose Mapping Dialog Boxes

Modifying a Keyboard File


Mapping a Macro to an Existing PC Key

The Macros dialog box lets you add, edit, and delete a macro. You can display the Macros dialog box by choosing Macro on the XKeys Edit menu, or clicking the corresponding icon on the toolbar.

Note:
You cannot map a Keysym to a non-standard key unless you have included it by changing the layout of the keyboard file.

To map a macro:

  1. In the Macros dialog box, click Add. The Macro Binding dialog box opens.
  2. Click Browse. The Macro Selector dialog box opens.
  3. Click Add. The New Macro Properties dialog box opens.
  4. Specify a name and description.
  5. Click Start Record and type the keys and key combinations that you want to be a part of this macro.
  6. Click Stop Record to end recording. Click OK.
  7. In the Macro Selector dialog box, click OK.
  8. In the Macro Binding dialog box, select a key from the Bind Key list box to attach the macro to, including any modifiers from the Modifier group of options.
  9. Click OK. The macro is added to the list in the Macros dialog box.

Related Topics

Macros Dialog Box

Macro Selector Dialog Box

Macro Binding Dialog Box

New/Edit Macro Properties Dialog Box

Macro Events


Macro Events

A macro recorded in the New Macro Properties dialog box displays an event list representing actual keystrokes: the name of the key pressed and the physical action of either pressing or releasing the key. For example, the string setenv DISPLAY pc:0.0 appears as the following:

Name | Action
s | KeyPress + KeyRelease
e | KeyPress + KeyRelease
t | KeyPress + KeyRelease
e | KeyPress + KeyRelease
n | KeyPress + KeyRelease
v | KeyPress + KeyRelease
Space | KeyPress + KeyRelease
Shift | KeyPress
d | KeyPress + KeyRelease
i | KeyPress + KeyRelease
s | KeyPress + KeyRelease
p | KeyPress + KeyRelease
l | KeyPress + KeyRelease
a | KeyPress + KeyRelease
y | KeyPress + KeyRelease
Shift | KeyRelease
Space | KeyPress + KeyRelease
p | KeyPress + KeyRelease
c | KeyPress + KeyRelease
Shift | KeyRelease
Shift | KeyPress
; | KeyPress + KeyRelease
Shift | KeyRelease
0 | KeyPress + KeyRelease
. | KeyPress + KeyRelease
0 | KeyPress + KeyRelease

Related Topics

Macros Dialog Box

Mapping a Macro to an Existing PC Key

Modifying a Keyboard File


Macros Dialog Box

To access

Use this dialog box to manage keyboard macros. The list box in this dialog box displays information about existing macros. If this is your first time loading one of the keyboard files shipped with Exceed onDemand, this list box is empty.

To create a new macro, click Add. The Macro Binding dialog box opens. To remove a selected macro from the list, click Delete. To edit a selected macro, click Edit to open the Macro Binding dialog box. Click Browse to open the Macro Selector dialog box, select the macro, and then click Edit to open the Edit Macro Properties dialog box.

Related Topics

Macro Binding Dialog Box

New/Edit Macro Properties Dialog Box

Macro Events

Mapping a Macro to an Existing PC Key


To access the Macros dialog box:

On the XKeys Edit menu (Mapping mode), click Macros.


Macro Binding Dialog Box

To access

Use this dialog box to bind (map) a macro to a PC key. Click OK to save the macro binding to the Macros dialog box list.

Selected Macro

If you are editing an existing macro binding, the box displays the macro name. To bind a different macro, or to add a new macro binding to the Macros dialog box list, click Browse. The Macro Selector dialog box opens.

Bind Macro To Key

Bind Key—Select the PC key to which you would like to map the macro. This key activates the macro whenever it is pressed. You can select a key from the list or press the corresponding key on your keyboard. The list is unavailable until a macro is selected.

Note:
If you want to use a non-standard PC key, you must change the keyboard layout by adding a physical key to the current keyboard file.

Modifier—Assign a modifier key to the PC key. To invoke the macro in an X application, press the Modifier key + Bind Key.

Related Topics

Macros Dialog Box

Macro Selector Dialog Box

Mapping a Macro to an Existing PC Key


To access the Macro Binding dialog box:

Click Add/Edit in the Macros dialog box.


Macro Selector Dialog Box

To access

You can use this dialog box to select and manage macros.

Macro File—Displays the path to the macro file.

Macro List

This box displays available macros and their respective descriptions.

Add—Opens the New Macro Properties dialog box where you can create macros.

Edit—Opens the Edit Macro Properties dialog box where you can edit existing macros.

Delete—Deletes the selected macro.

Import—Opens a dialog box for locating, selecting, and importing a macro file.

Related Topic

New/Edit Macro Properties Dialog Box


To access the Macro Selector dialog box:

Select Macros on the XKeys Edit menu. Click Add in the Macros dialog box, and then click Browse in the Macro Binding dialog box.


New/Edit Macro Properties Dialog Box

To access

You can use these dialog boxes to create macros or edit existing ones. To access either dialog box, click Add or Edit respectively in the Macro Selector dialog box.

Name—Type a macro name. The name appears in the Macro Selector list box.

Description—Optionally, you can type a description of what the macro does. The description also appears in the Macro Selector list box.

Click OK to add the new macro, or save macro revisions, to the Macro Selector dialog box.

Event List

Start/Stop Record—Select this button to begin recording keystroke events. Select the button again to stop recording.

Modify—Opens the Edit Macro Action dialog box. Use it to modify the action, the key typed, and the event.

Insert—Opens the Insert Action Item dialog box. It provides options for inserting a macro action in the event list.

Delete—Deletes the selected event.

Related Topics

Macro Selector Dialog Box

Edit Macro Action Dialog Box

Insert Action Item Dialog Box


To access macro properties dialog boxes:

For a new macro, click Add in the Macro Selector dialog box to open the New Macro Properties dialog box. For an existing macro, click Edit in the Macro Selector dialog box to open the Edit Macro Properties dialog box.


Insert Action Item Dialog Box

To access

This dialog box provides options for inserting a macro action.

Insert a new key action item now—Select this option to access the Edit Macro Action dialog box.

Insert Options

Select an option to determine where the action type is inserted in the event list. Click OK to open the Edit Macro Action dialog box which lets you select the keystroke to be inserted.

You can insert the new item (keystroke or command action) before or after the event selected in the Edit Macro Action dialog box. The last insert option lets you add all items to the end of the event list.

Related Topics

Edit Macro Action Dialog Box

New/Edit Macro Properties Dialog Box


To access the Insert Action Item dialog box:

Open one of the following dialog boxes, and then click Insert:

  • New Macro Properties—To access this dialog box, click Add in the Macro Selector dialog box.
  • Edit Macro Properties—To access this dialog box, click Edit in the Macro Selector dialog box.


Edit Macro Action Dialog Box

To access

You can use this dialog box to modify an existing item (keystroke or command action), or insert a new event list item as displayed in the Edit Macro Properties dialog box. Select from the following options and click OK to modify or insert the keystroke action:

Action Type—Keystroke

This option specifies a key and event type. To access command action options, select Command. In the Key area, you can specify the following options:

Scancode—Specify a key by typing its numerical (byte) value or by clicking Next Key Typed. The key name associated with the scancode is displayed below this box.

Next Key Typed—Prompts you to press a key and automatically display its scancode value.

In the Event Type area, you can select one of the following options:

Key Press, Key Release or Key Press + Key Release—Use these options to change the kind of action required for the macro.

Action Type—Command

Use this option to specify a command type. To access key and event type options, select Keystroke.

Command Type—Select a command type from the drop-down list. Each type displays a list from which you select an Exceed onDemand command action.

Related Topics

Insert Action Item Dialog Box

New/Edit Macro Properties Dialog Box


To access the Edit Macro Action dialog box:

Do one of the following:

  • Select an item in the event list displayed in the New/Edit Macro Properties dialog box, and then click Modify.
  • Select options in the Insert Action Item dialog box and click OK.


Creating Compose-Key Sequences

Compose-key sequences let you access additional symbols by typing two keystrokes. For example, Keystroke 1 + Keystroke 2 or Composing Key + Keystroke 2.

To define the compose-key sequence:

  1. To create a compose-key sequence, select Compose Sequences on the XKeys Edit menu. You can also click the corresponding toolbar icon. The Compose Sequence dialog box opens.
  2. Click Add to define a new compose-key sequence. The Build Compose Sequence dialog box opens.
  3. Click Keystroke 1, then press a key on your keyboard to use as the composing key.
  4. Choose a modifier from the Modifiers for Keystroke 1 group box.
  5. Click Keystroke 2, then press a key on your keyboard.
  6. If you want to map this compose sequence, click Next. The X Compose Mapping dialog box opens. It is the same dialog box as the Key: Name (Scancode) dialog box that appears when you choose Mapping on the Edit menu.
  7. Click Finish.

Related Topics

Compose Sequences Dialog Box

Build Compose Sequence Dialog Box

Key: Name (Scancode) and X Compose Mapping Dialog Boxes

Mapping a New Keysym to an Existing PC Key


Managing Keysyms and Keysym Sets

The Keysym File Editor is a powerful tool for managing custom Keysyms and Keysym Sets. To display the Keysym File Editor, click Keysym on the Edit menu. These procedures are described below.

To add custom Keysyms to an existing Keysym set:

  1. Select the Keysym Set into which you want to place the custom symbol on the Key Symbols page.
  2. Click Add Keysym. The Add Keysym dialog box opens.
  3. Type a KeySym name and a hexadecimal value.
  4. Click OK.

To add or create a new Keysym set:

  1. Click the Symbol Sets page.
  2. On the Symbol Sets page, click Add Set. The Add Set Name dialog box opens.
  3. Type a name in the New Set Name box.
  4. Click OK. The name appears in the list on the Key Symbols page; the boxes on the Key Symbols and Search pages appear empty, indicating that this is a new Keysym Set.
  5. Add your custom Keysyms by following the previous procedure.

Related Topics

Mapping a New Keysym to an Existing PC Key

Keysym File Editor Dialog Box


Adding a Physical Key

Standard 101-key and 102-key layouts are found on the Exceed onDemand Server Click for more information . If you are using a non-standard keyboard, then you need to add keys. You can perform this task in two ways:

  • Start with a default keyboard and add the extra keys.
  • Start from scratch and build a completely new layout.

To add a new physical key to an existing keyboard file:

  1. Click Layout Mode on the XKeys View menu.
  2. Press a key on your keyboard that is currently not defined in your keyboard file. Once the key is placed in the XKeys window, move and reshape it to match your physical keyboard layout.
  3. In the Abbreviation field, type the Key Cap you wish XKeys to display on the key. The key has now been added to the keyboard layout. You can now map X symbols to the new key.

To create a new keyboard layout:

Note:
Create a completely new keyboard layout only if your keyboard is substantially different than the supplied layouts.

  1. In Mapping Mode, click New on the File Menu. Do not use an existing keyboard layout when prompted. When the blank XKeys screen is displayed, select Layout Mode on the View menu.
  2. Press every key on your keyboard. XKeys places each key on the supplied grid below the mouse cursor. As keys are added, move and reshape them to match the physical layout of your keyboard. Keys may be moved using standard drag and drop methods.
  3. To modify the text displayed on a keycap, replace the text in the Abbreviation field. This is useful when Windows supplies a long key description.
  4. You can now map X Keysym values onto each physical key.

Related Topics

Deleting a Physical Key

Modifying a Keyboard File

Mapping a New Keysym to an Existing PC Key


Deleting a Physical Key

You can delete keys in Layout mode. Highlight a key and select Delete from the XKeys Edit menu. A message box appears to confirm the deletion.

Note:
You can also delete keys in Layout mode by moving the mouse pointer over the key, and then clicking the right mouse button.

Related Topics

Adding a Physical Key

Modifying a Keyboard File


Keyboard Layouts Dialog Box

To access

Lets you select a keyboard layout from the Available Layouts list box. Select the standard layout you wish to edit and click OK. The selected layout displays in the XKeys window.

Related Topic

keyboard.kbf - XKeys Window


To access the Keyboard Layouts dialog box:

In the keyboard.kbf – XKeys window (Mapping mode), click New on the File menu. Depending on what actions have taken place in XKeys, one of the following occurs:

  • If the keyboard layout or any mappings are not yet modified, you are prompted whether or not to use an existing keyboard layout.
  • If keyboard mapping is modified but the layout is not modified, you are prompted whether or not to save changes, and then you are prompted whether or not to use an existing keyboard layout.
  • If you have modified the keyboard layout, you are prompted whether or not to save changes. (Doing so affects all keyboard files using the current layout.)

Click No and you are prompted whether or not to use an existing keyboard layout.

Click Yes and you are prompted whether or not to specify a different keyboard layout name. Clicking Yes opens the Save Keyboard Layout dialog box where you can type a new layout name. After doing this, or after clicking No to the keyboard layout name prompt, you are prompted whether or not to use an existing keyboard layout.

Confirming that you want to use an existing keyboard layout opens the Keyboard Layouts dialog box. Not using an existing layout clears the keyboard file and all related mapping displayed in XKeys.


Default Locations for Keyboard Files

Global keyboard (.kbf) files are located on the server in the Common folder of the global X configuration directory. For example:

C:\Program Files\Hummingbird\Connectivity\
version\ExceedonDemand\Server\conf\admin\
Xconfig\Common

Keyboard files for a particular user are located on the server in the Common folder of the X configuration directory for the user. For example:

C:\Program Files\Hummingbird\Connectivity\
version\ExceedonDemand\Server\conf\users\
username\Xconfig\Common


Build Compose Sequence Dialog Box

To access

Use this dialog box to define a compose-key sequence. To map the compose sequence, click Next to advance to the X Compose Mapping dialog box.

First Key of Compose

Keystroke 1—Lets you select a composing key. Click Keystroke 1 and press any key on your keyboard.

Modifiers for Keystroke—Lets you select modifier key options for the key specified in the previous box.

Second Key of Compose

Keystroke 2—Lets you select a second composing key. Click the button and press any key on your keyboard. Click Next to open the X Compose Mapping dialog box. You map a compose-key sequence the same way as you map any other Keysym.

Related Topics

Modifying a Keyboard File

Creating Compose-Key Sequences


To access the Build Compose Sequence dialog box:

In the Compose Sequences dialog box, click Add to create a new compose sequence or Edit to modify an existing one.


Grid Settings Dialog Box

To access

You can use the XKeys Grid Settings dialog box to adjust the height and width of the grid cells (in pixels). The size of the grid cells, and consequently the size of the key representations, varies with screen resolution. When you are designing or modifying a keyboard layout and the keys appear too small or too large, experiment with these settings.

Related Topics

Adding a Physical Key

Modifying a Keyboard File


To access the Grid Settings dialog box for XKeys

Click Layout Mode on the XKeys View menu, and then click Grid Settings on the Options menu.


Compose Sequences Dialog Box

To access

You can use this dialog box to manage compose-key sequences.

Add—Opens the Build Compose Sequence dialog box. Use it to create a new compose sequence.

Edit—Opens the Build Compose Sequence dialog box in which you can edit compose sequence settings.

Delete—Removes the selected compose sequence from the list.

Related Topics

Build Compose Sequence Dialog Box

Modifying a Keyboard File


To access the Compose Sequences dialog box:

On the XKeys Edit menu (Mapping mode), click Compose Sequences.


keyboard.kbf - XKeys Window

To access

You can use the XKeys window to customize mapping and layout for keyboard files. By default, the XKeys window opens keyboard files in Mapping Mode.

Mapping Mode and Layout Mode affect what is displayed, as well as the information pane at the bottom of the window. Certain menus are mode-specific and others are common to either mode. The following links provide more details:

Mapping Mode | Layout Mode
File menu Click for more information | Edit menu Click for more information
Edit menu Click for more information | Options menu Click for more information
These menus are common to both modes: View Click for more information and Help Click for more information

The information area below the keyboard display provides a summary of settings for the selected key. The status bar at the bottom of the window indicates the XKeys version and information about selected menu commands.

Related Topic

About XKeys


To access the XKeys window:

Navigate to the Tools folder in the installation path, and double-click xkeys.exe to open the keyboard editor application.


XKeys Help Menu

The XKeys Help menu contains the following commands:

Contents—Opens XKeys keyboard editor Help.

About application—Displays a screen that indicates the application name and version.


XKeys File Menu (Mapping Mode)

The File menu contains commands that you can use to create, open, and save your keyboard file. Keyboard files reside on the Exceed onDemand Server and have a .kbf extension. Click for more information

Note:
This menu is available only in mapping mode.

New—Lets you create a new keyboard file. XKeys prompts for a decision whether to save changes to an existing keyboard layout. You can select the following:

Yes—Opens the Keyboard Layout dialog box, in which you can select a standard keyboard layout. XKeys displays the selected layout in mapping mode.

No—Opens an empty window. You must now switch to layout mode and manually create your keyboard layout by adding keys on the grid provided.
Note:
It is usually much simpler to modify and add keys to an existing keyboard file than it is to start from scratch.

Open—Loads an existing keyboard file (.kbf).

Note:
Make a backup of the keyboard file before you begin to customize it. This ensures that the original file remains intact in case you need to revert to it later.

Save—Saves changes to the current keyboard file (.kbf). If you are saving a keyboard file that has not been saved before, the Save As dialog box appears and prompts you to supply a file name.

Save As—Opens the Save As dialog box, where you can save the current keyboard mapping with a new file name.

Exit—Terminates XKeys.

Related Topic

Modifying a Keyboard File

Keyboard Layouts Dialog Box


XKeys Edit Menu (Mapping Mode)

In Mapping Mode, the Edit menu contains commands for customizing your keyboard file. Use these commands to change X Key mappings, map keyboard macros, and create compose-key sequences. You can also add new X symbols called Keysyms.

Mapping—Opens the Key: Name (Scancode) dialog box, which contains information for the selected key. This dialog box lets you map key symbols to the Unshifted, Shifted, Mode Switched, and Shift Mode Switched states. You can also assign key states such as Repeat, Control, Shift, Lock, and Mod1 to Mod5.

Macros—Opens the Macros dialog box, which is used to create keyboard macros. A keyboard macro is a list of simulated key presses and releases that can be assigned to a single key.

Compose Sequences—Opens the Compose Sequence dialog box, which lists the compose-key sequences that have been defined. This dialog box lets you add, edit, and delete compose-key sequences. Each sequence consists of two key combinations, which generate a new pseudo-key.

Keysyms—Opens the Keysym File Editor, where you can add, modify, and delete both symbol sets and Keysyms.

Settings—Opens the XKeys Settings dialog box, which lets you control how the latchable keys on your keyboard function. It also lets you specify a description of the keyboard file.

Related Topics

Creating Compose-Key Sequences

Mapping a New Keysym to an Existing PC Key

Managing Keysyms and Keysym Sets


XKeys Edit Menu (Layout Mode)

In Layout Mode, you can use the Edit menu to insert a new key, delete a key, and move a key in the keyboard layout.

New—Inserts a new key in the upper left-hand corner of the grid. You can then position, resize, reshape, and re-label the key.

Delete—Deletes a physical key. All symbols previously mapped to the physical key are deleted. This does not delete Keysym symbols from symbol kits.

Note:
You can also delete a key by moving the mouse pointer over the key, then clicking the right mouse button. A dialog box appears, asking you to confirm the deletion.

Move—Moves the currently selected keys using the arrow keys. You can also perform this task by dragging a key it to its preferred location.

Related Topics

Modifying a Keyboard File

Adding a Physical Key


XKeys Options Menu (Layout Mode)

This Layout Mode menu has the following command:

Grid Settings—Opens the XKeys Grid Settings dialog box.

Related Topic

Grid Settings Dialog Box


XKeys View Menu

Use the commands on the View menu to switch between Layout and Mapping modes. You can also display or hide the toolbar and status bar.

Mapping Mode—Switches to Mapping mode, where you create compose-key sequences to simulate a UNIX keyboard.

Layout Mode—Switches to Layout mode, where you can drag and drop keys anywhere on the keyboard interface.

Toolbar—Displays the XKeys toolbar.

Status Bar—Displays the XKeys status bar.

Related Topic

Adding a Physical Key

Mapping a New Keysym to an Existing PC Key


Keysym File Editor Dialog Box

To access

The Keysym File Editor is a powerful tool for managing Keysyms and Keysym Sets. You can:

  • create a new Keysym
  • change the name and/or hexadecimal value of a Keysym
  • delete a Keysym
  • create a new Keysym Set with new Keysyms
  • change the name of a Keysym Set
  • delete a Keysym Set

Use the following tabs to manage Keysyms. Click OK or Apply to save settings to the keyboard file.

Key Symbols Page Expand

Set Names—Select a Keysym Set from the drop-down list.

Keysyms—Displays a list of Keysyms associated with the selected Keysym Set.

Add Keysyms—Opens the Add Keysym dialog box, where you can add a new Keysym to the current set by entering a name and a corresponding hexadecimal value. After adding the Keysym, it appears in the Keysyms list box on the main Key Symbols page.

Change Keysyms—Opens the Change Keysyms dialog box, where you can modify the name of the selected Keysym and the corresponding hexadecimal value. Selecting an individual keysym activates both this button and the Delete Keysym button.

Delete Keysyms—Opens a dialog box that prompts for confirmation to delete the currently selected Keysym from the Keysym Set.

Search Page Expand

Set Names—Select the Keysym Set in which to start your search.

Keysyms— Displays a list of Keysyms associated with the selected Keysym Set.

Search For—Enter a text string to search for in all Keysym Sets. If necessary, you can specify the set name that you want to start searching. The text entered can be a full Keysym name or a partial name.

Search—If this is the first search, the button displays the word Search; clicking it searches for the first instance of the text. If this is a follow-up search, the button displays Search Next; clicking it searches for the next occurrence of the text.

Match Whole Word—When checked, the search finds only instances of the string that appear to be an entire word.

Match Case—When checked, the search finds only strings that match the case of the string.

Symbol Sets Page Expand

Add Set—Opens the Add Keysym Set dialog box, where you can enter the name of a new Keysym Set. The new Keysym Set name is displayed in the Set Names list box.

Change Set Name—Opens the Change Set Name dialog box, where you can modify the name of an existing Keysym Set.

Delete Set—Opens a dialog box that prompts for confirmation to delete the currently selected Symbol Set.

Related Topics

Managing Keysyms and Keysym Sets

Modifying a Keyboard File


To access the Keysym File Editor:

On the XKeys Edit menu (Mapping mode), click Keysyms.


Key: Name (Scancode) and X Compose Mapping Dialog Boxes

To access

Use these dialog boxes to map Keysyms to keys on your keyboard. To map a key to a non-standard key, you must change the layout of your keyboard file by adding this key to it.

Select a state (Unshifted, Shifted, Mode Switch, or Shift Mode Switch) and select options as outlined below. In the Key Name/ScanCode dialog box, click OK or Apply to save key mapping options. These options are then displayed in the Current X Mapping panel at the bottom of the XKeys window. In the consecutive Build Compose Sequence and X Compose Mapping dialog boxes, clicking Finish saves the options to the Compose Sequences dialog box.

Clear Mapping—Deletes the Keysym mapping for the selected state.

Symbol Set and Keysym—Select a symbol set from the drop-down list and a set-specific Keysym from the list. If the symbol set or Keysym does not exist, then you can create one using the Keysym File Editor.

Select Keysym—Maps the Keysym selected in the symbol set to the state selected in the Current Mapping for Key area.

Note:
You can also drag and drop the Keysyms from the Keysyms list to any field in the Current Mapping group box.

X Key State

The Repeat option determines whether you want the key to auto-repeat the Keysym when you hold down the PC key. It also lets you select a modifier key.

Search

This area lets you locate a particular Keysym. Type the first few letters of the Keysym and click Find. XKeys finds the Keysym and the corresponding Keysym Set. If the first Keysym matched is not correct, click Find until you find the correct one.

Related Topics

Mapping a New Keysym to an Existing PC Key

Modifying a Keyboard File

Adding a Physical Key

Creating Compose-Key Sequences


To access the following dialog boxes:

Key: Name (ScanCode) —(Mapping Mode)

Do one of the following:

  • Select a key (either press the key on your keyboard or click it in the XKeys window), then select Mapping on the Edit menu.
  • Double-click a key displayed in the XKeys window.

X Compose Mapping

Click Compose Sequences on the XKeys Edit menu. The Compose Sequences dialog box opens. Do one of the following:

  • Click Add and create a new compose-key sequence in the Build Compose Sequence dialog box. Click Next.
  • Click Edit and modify an existing compose-key sequence in the Build Compose Sequence dialog box. Click Next.


Settings Dialog Box

To access

Use the XKeys Settings dialog box to control the function of latchable keys. You can also specify a description of the keyboard file. To open this dialog box, select the Settings command on the Edit menu (Mapping mode only). The dialog box options are described below.

Description and Name—Enter text to describe and name the edited keyboard files. These boxes do not change the name of the keyboard file. To change the name of the keyboard file, you must select Save As on the File menu.

Local NumLock—If you enable Local NumLock, the numeric keypad keys work as they normally do on your PC. If this option is not enabled, then the remote host determines the NumLock behavior.

Unlatch

These options determine whether the Num Lock, Scroll Lock, and Caps Lock keys function as latched or unlatched. Clearing an option causes the key to act as though it is continually pressed (latch); when you press it again, it releases (unlatch). Selecting an option causes the key to function as if it is released (unlatched).

Note:
The Local NumLock setting overrides the NumLock setting in the Unlatch group. If you select the Local NumLock setting, the NumLock key is not unlatchable.

Related Topics

Modifying a Keyboard File


To access the Settings dialog box:

On the Xkeys window Edit menu (Layout Mode), click Settings.


General Accessibility

Wherever possible, our software adheres to Microsoft Windows interface standards and contains a comprehensive set of accessibility features.

Access Keys All menus have associated access keys (mnemonics) that let you use the keyboard, rather than a mouse, to navigate the user interface (UI). These access keys appear as underlined letters in the names of most UI items. (If this is not the case, press Alt to reveal them.) To open a menu, press Alt and then press the key that corresponds with the underlined letter in the menu name. For example, to access the File menu in any of our applications, press Alt+F.

Once you have opened a menu, you can access an item on the menu by pressing the underlined letter in the menu item name, or you can use the arrow keys to navigate the menu list.

Keyboard Shortcuts Some often-used menu options also have shortcut (accelerator) keys. The shortcut key for an item appears beside it on the menu.

Directional Arrows Use the directional arrows on the keyboard to navigate through menu items or to scroll vertically and horizontally. You can also use the directional arrows to navigate through multiple options. For example, if you have a series of radio buttons, you can use the arrow keys to navigate the possible selections.

Tab Key Sequence To navigate through a dialog box, press the Tab key. Selected items appear with a dotted border. You can also press Shift+Tab to go back to a previous selection within the dialog box.

Spacebar Press the Spacebar to select or clear check boxes, or to select buttons in a dialog box.

Esc Press the Esc key to close a dialog box without implementing any new settings.

Enter Press the Enter key to select the highlighted item or to close a dialog box and apply the new settings. You can also press the Enter key to close all About boxes.

ToolTips ToolTips appear for all functional icons. This feature lets users use Screen Reviewers to make interface information available through synthesized speech or through a refreshable Braille display.


Microsoft Accessibility Options

Microsoft Windows environments contain accessibility options that let you change how you interact with the software. These options can add sound, increase the magnification, and create sticky keys.

If you installed the Microsoft Accessibility components for your Windows system, you can find additional accessibility tools under Accessibility on the Start menu.

For Windows XP/Server 2003

To enable/disable Accessibility options:

  1. In Control Panel, double-click Accessibility Options.
  2. In the Accessibility Options dialog box, select or clear the check boxes as required. To enable or disable specific options, click Settings.
  3. When finished, click Apply to apply the settings, or click OK to accept the settings and close the dialog box.

For Windows 7/Server 2008/2008 R2/Vista

To enable/disable Accessibility options:

  1. In Control Panel, click Ease Of Access.
  2. In Ease of Access, click Ease Of Access Center.
  3. Use the tools in Quick Access To Common Tools to enable or disable Accessibility options or specify settings in Explore All Settings.
  4. When finished, click Apply to apply the settings, or click Save to accept the settings and close the dialog box.

For more information about Ease of Access settings in Windows 7, Server 2008, 2008 R2, or Vista refer to Windows Help.


Customer Support

You can contact the Open Text Connectivity Solutions Customer Support department Monday to Friday. Please have the following information ready so that we can assist you faster:

  • product name, version, and serial number
  • operating system and version
    Open Text Connectivity Solutions
    38 Leek Crescent, Richmond Hill, Ontario, Canada L4B 4N8
    North America and Worldwide
    8:00 AM to 8:00 PM (EDT)

    USA and Canada

    International

    Telephone:

    1-800-486-0095

    +1-905-762-6400

    Fax:

    +1-905-762-6407

    E-mail:

    connsupport@opentext.com

    FTP:

    ftp.opentext.com

    Web Support:

    connectivity.opentext.com/customer-care.aspx

    Web Site:

    connectivity.opentext.com/

    United Kingdom and Ireland
    9:00 AM to 5:30 PM (GMT)

    Telephone:

    + 44 (0) 118 984 8050

    E-mail:

    connsupport.uk@opentext.com

    Germany and Austria
    9:00 AM to 6:00 PM (GMT +1)

    Telephone:

    + 49 (0) 89 4629 1925

    E-mail:

    connsupport.de@opentext.com

Revision: __7711__